//
//  SecondViewController.h
//  HA7 logger mini04
//  Copyright(C)2012-2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.03.25 v0.0  First cording
//    2013.05.04 v0.4  Commit
//

#import <UIKit/UIKit.h>
#import "CircularGauge.h"
#import "LinerGauge.h"

@interface SecondViewController : UIViewController

@property (strong, nonatomic)   IBOutlet UILabel          *vss;
@property (strong, nonatomic)   IBOutlet UITextField      *rpm;
@property (strong, nonatomic)   IBOutlet CircularGauge    *rpmG;

@property (strong, nonatomic)   IBOutlet UILabel          *effNow;
@property (strong, nonatomic)   IBOutlet LinerGauge       *effNowG;
@property (strong, nonatomic)   IBOutlet UILabel          *effDay;
@property (strong, nonatomic)   IBOutlet LinerGauge       *effDayG;
@property (strong, nonatomic)   IBOutlet UILabel          *effAve;
@property (strong, nonatomic)   IBOutlet LinerGauge       *effAveG;

@property (strong, nonatomic)   IBOutlet UILabel          *stopTim;
@property (strong, nonatomic)   IBOutlet UILabel          *fuse_d;
@property (strong, nonatomic)   IBOutlet UILabel          *dist_d;
@property (strong, nonatomic)   IBOutlet UILabel          *runtmDay;
@property (strong, nonatomic)   IBOutlet UIProgressView   *runtmDayG;

@property (strong, nonatomic)   IBOutlet UILabel          *remainFuel;
@property (strong, nonatomic)   IBOutlet UIProgressView   *remainFuelG;
@property (strong, nonatomic)   IBOutlet UILabel          *remainDist;
@property (strong, nonatomic)   IBOutlet UILabel          *ect;
@property (strong, nonatomic)   IBOutlet UIProgressView   *ectG;
@property (strong, nonatomic)   IBOutlet UILabel          *vpwr;
@property (strong, nonatomic)   IBOutlet UIProgressView   *vpwrG;

- (IBAction)refuel:(id)sender;

@end
